﻿using UnityEngine;
using System.Collections;

public class NoRatsOrLukers : Mod
{
    public void Start()
    {
        Debug.Log("No Rats/Lukers has been loaded!");
    }


    public void Update()
    {
        if (GameObject.Find("AI_Rat(Clone)") != null)
        {
            Destroy(transform.Find("AI_Rat(Clone)"));
        }

        for (int i = 0; i < FindObjectsOfType<AI_NetworkBehaviour_Rat>().Length; i++)
        {
            Destroy(FindObjectsOfType<AI_NetworkBehaviour_Rat>()[i].gameObject);

        }
    }

    public void OnModUnload()
    {
        Debug.Log("No Rats/Lukers has been unloaded!");
    }

    IEnumerator EndOfGameCoroutine()
    {
        if (GameObject.Find("AI_Rat(Clone)") != null)
        {
            Destroy(transform.Find("AI_Rat(Clone)"));
        }

        for (int i = 0; i < FindObjectsOfType<AI_NetworkBehaviour_Rat>().Length; i++)
        {
            Destroy(FindObjectsOfType<AI_NetworkBehaviour_Rat>()[i].gameObject);
        }

        yield return new WaitForSeconds(1f);
    }
}